<h1>String Interpolation</h1>
<p>A way to bind data to the template from our component</p>
<!--<p>Syntax: '{{  }}'</p>-->

<h3>{{ 'Hello and Good Day' }}</h3>
<p> {{ 5 * 6 / 2 }} </p>
<!-- ^ example of impractical use of string interpolation
Usually want to use String Interpolation to output properties
Basically allows us to have "variables" inside of our template
-->

<h1>Top Athletes</h1>
<!--<h3>Name: {{ athlete.name }}</h3>-->
<!-- let's refactor with Structural Directives-->


<!-- Structural Directives
*ngIf, *ngFor, *ngSwitch
Every one of these NEEDS to have an asterisk
Basically an attribute inside of our element
-->

<!-- use *ngFor to loop through our array of this.athlete-->
<!--<ul>-->
<!--  <li *ngFor="let athletes of athlete">-->
<!--    <h3>Name: {{ athletes.name }} </h3>-->
<!--  </li>-->
<!--</ul>-->


<!-- "let" = defines the variables
     "athletes" = the name of our variable
     "athlete" = pertains to the 'this.athlete' from our ts
     "athletes.name" = calling the name property of each object
-->

<ul>
  <li *ngFor="let athlete of athletes">
    <h3>Name: {{ athlete.name }} </h3>
    <ul>
      <li>Team: {{ athlete.team }} </li>
      <li>Jersey Number: {{ athlete.jerseyNu }} </li>
      <li>Is the player active?: {{ athlete.isActive }} </li>
    </ul>
    <ul *ngIf="athlete.isActive === true">
      <li> {{ showStatus() }} </li>
    </ul>
  </li>
</ul>
